VMTKTETGEN(1)

NAME
vmtktetgen - vmtk script vmtktetgen

DESCRIPTION
Automatic piping vmtktetgen Parsing options vmtktetgen

vmtktetgen : wrapper around TetGen tetrahedral mesh generator by Hang

    Si (http://tetgen.berlios.de/)

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-caps GenerateCaps (bool,1); default=0: close surface holes with

    caps before meshing

-plc PLC (int,1); default=1: see TetGen documentation

-refine Refine (int,1); default=0: see TetGen documentation

-coarsen Coarsen (int,1); default=0: see TetGen documentation

-noboundarysplit NoBoundarySplit (int,1); default=0: see TetGen

    documentation

-quality Quality (int,1); default=1: see TetGen documentation

-minratio MinRatio (float,1); default=1.414: see TetGen

    documentation

-mindihedral MinDihedral (float,1); default=10.0: see TetGen

    documentation

-maxdihedral MaxDihedral (float,1); default=165.0: see TetGen

    documentation

-varvolume VarVolume (int,1); default=0: see TetGen documentation

-fixedvolume FixedVolume (int,1); default=0: see TetGen

    documentation

-maxvolume MaxVolume (float,1); default=0.1: see TetGen

    documentation

-removesliver RemoveSliver (int,1); default=0: see TetGen

    documentation

-regionattrib RegionAttrib (int,1); default=0: see TetGen

    documentation

-epsilon Epsilon (float,1); default=1e-08: see TetGen documentation

-nomerge NoMerge (int,1); default=0: see TetGen documentation

-detectinter DetectInter (int,1); default=0: see TetGen

    documentation

-checkclosure CheckClosure (int,1); default=0: see TetGen

    documentation

-order Order (int,1); default=1: see TetGen documentation

-docheck DoCheck (int,1); default=0: see TetGen documentation

-verbose Verbose (int,1); default=0: see TetGen documentation

-usesizingfunction UseSizingFunction (int,1); default=0: see TetGen

    documentation

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where cell entity ids are stored

-tetravolumearray TetrahedronVolumeArrayName (str,1);

    default=TetrahedronVolume: name of the array where volumes of tetrahedra are stored

-sizingfunctionarray SizingFunctionArrayName (str,1);

    default=VolumeSizingFunction: name of the array where sizing function values are stored

-surfaceelements OutputSurfaceElements (int,1); default=1: toggle

    output surface elements

-volumeelements OutputVolumeElements (int,1); default=1: toggle

    output volume elements

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds: name of the array where cell entity ids are stored

-tetravolumearray TetrahedronVolumeArrayName (str,1);

    default=TetrahedronVolume: name of the array where volumes of tetrahedra are stored